@echo off
chdir %~dp0

::Set currentdir=%currentdir%
Set currentdir=%~dp0

:: VAL indicate the TS5000 version type
:: VAL = YES -> TS5000 7.1
:: VAL = NO -> TS5000 7.0
SET VAL=YES

if %PROCESSOR_ARCHITECTURE%==x86 (
:: Check system TS5000 version is 7.0
REG QUERY "HKLM\Software\Agilent\TS-5000 System Software\7.0.0V" || goto TS5k7_1x86
SET VAL=NO
goto successx86

:: Check system TS5000 version is 7.1
:TS5k7_1x86
REG QUERY "HKLM\Software\Agilent\TS-5000 System Software\7.1.0V" || goto failedx86
goto successx86

:successx86
cls
if %VAL%==YES (
echo System is installed with TS5000 version 7.1
) else (
echo System is installed with TS5000 version 7.0
)
echo Setup will now perform to copy files

echo.
xcopy "Files\*.dll" "C:\Program Files\Agilent\TS-5000 System Software\Bin" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Install directions for 7.x hotfix.txt" "C:\Program Files\Agilent\TS-5000 System Software" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\*.lib" "C:\Program Files\Agilent\TS-5000 System Software\lib" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\whichDmm.umd" "C:\Program Files\Agilent\TS-5000 System Software\actions\dgn" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\s2load24psexp_U7177.umd" "C:\Program Files\Agilent\TS-5000 System Software\Service\Series2\Actions" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\S2Load24MacU7177.umd" "C:\Program Files\Agilent\TS-5000 System Software\Service\Series2\Actions" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\DiagnosticsForN93XX.uvb" "C:\Program Files\Agilent\TS-5000 System Software\VBA Project Files" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\*.xls" "C:\Program Files\Agilent\TS-5000 System Software\Config" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\*.csv" "C:\Program Files\Agilent\TS-5000 System Software\Config" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\Cedgn_full.tpa" "C:\Program Files\Agilent\TS-5000 System Software\Service\Series2\Testplans" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\Cedgn_full_2SLU.tpa" "C:\Program Files\Agilent\TS-5000 System Software\Service\Series2\Testplans" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\E2240ADgn.tpa" "C:\Program Files\Agilent\TS-5000 System Software\testplan\dgn" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\DgnSeries2DuelDmms.tpa" "C:\Program Files\Agilent\TS-5000 System Software\testplan\dgn" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\DgnSeries2.tpa" "C:\Program Files\Agilent\TS-5000 System Software\testplan\dgn" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\7.x hotfix new and modified files.txt" "C:\Program Files\Agilent\TS-5000 System Software" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
goto endx86

:failedx86
cls
echo TS5000 7.x Hotfix patch update could not be performed.
echo This Hotfix is only applicable for TS5000 version 7.0 and 7.1
echo If the problem continues, please contact Agilent support.
goto end

:endx86
goto complete

) else (
:: Check system TS5000 version is 7.0
REG QUERY "HKLM\Software\Wow6432Node\Agilent\TS-5000 System Software\7.0.0V" || goto TS5k7_1x64
SET VAL=NO
goto successx64

:: Check system TS5000 version is 7.1
:TS5k7_1x64
REG QUERY "HKLM\Software\Wow6432Node\Agilent\TS-5000 System Software\7.1.0V" || goto failedx64
goto successx64

:successx64
cls
if %VAL%==YES (
echo System is installed with TS5000 version 7.1
) else (
echo System is installed with TS5000 version 7.0
)
echo Setup will now perform to copy files

echo.
xcopy "Install directions for 7.x hotfix.txt" "C:\Program Files (x86)\Agilent\TS-5000 System Software" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\*.dll" "C:\Program Files (x86)\Agilent\TS-5000 System Software\Bin" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\*.lib" "C:\Program Files (x86)\Agilent\TS-5000 System Software\lib" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\whichDmm.umd" "C:\Program Files (x86)\Agilent\TS-5000 System Software\actions\dgn" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\s2load24psexp_U7177.umd" "C:\Program Files (x86)\Agilent\TS-5000 System Software\Service\Series2\Actions" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\S2Load24MacU7177.umd" "C:\Program Files (x86)\Agilent\TS-5000 System Software\Service\Series2\Actions" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\DiagnosticsForN93XX.uvb" "C:\Program Files (x86)\Agilent\TS-5000 System Software\VBA Project Files" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\*.xls" "C:\Program Files (x86)\Agilent\TS-5000 System Software\Config" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\*.csv" "C:\Program Files (x86)\Agilent\TS-5000 System Software\Config" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\Cedgn_full.tpa" "C:\Program Files (x86)\Agilent\TS-5000 System Software\Service\Series2\Testplans" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\Cedgn_full_2SLU.tpa" "C:\Program Files (x86)\Agilent\TS-5000 System Software\Service\Series2\Testplans" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\E2240ADgn.tpa" "C:\Program Files (x86)\Agilent\TS-5000 System Software\testplan\dgn" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\DgnSeries2DuelDmms.tpa" "C:\Program Files (x86)\Agilent\TS-5000 System Software\testplan\dgn" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\DgnSeries2.tpa" "C:\Program Files (x86)\Agilent\TS-5000 System Software\testplan\dgn" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
xcopy "Files\7.x hotfix new and modified files.txt" "C:\Program Files (x86)\Agilent\TS-5000 System Software" /Y /R /H
if %ERRORLEVEL% NEQ 0 goto failed

echo.
goto endx64

:failedx64
cls
echo TS5000 7.x Hotfix patch update could not be performed.
echo This Hotfix is only applicable for TS5000 version 7.0 and 7.1
echo If the problem continues, please contact Agilent support.
goto end

:endx64
goto complete
)

:failed
echo Error occured!
echo If the problem continues, please contact Agilent support.
goto end 

:complete
echo Copy completed. Please verify the copied files.

:end
echo.
pause
exit
